- Qt 6.4
- Qt Virtual Keyboard
- QML Types
- QtQuick.VirtualKeyboard.Components
- KeyboardColumn
- Qt Virtual Keyboard | Commercial or GPLv3

# KeyboardColumn QML Type

Keyboard column for keyboard layouts. More...

Import Statement: | import QtQuick.VirtualKeyboard.Components

- List of all members, including inherited members

## Properties

- keyWeight : real
- smallTextVisible : bool

## Detailed Description

This type can be used in special cases where multiple columns are added to a single keyboard layout.

## Property Documentation

keyWeight : real

Sets the key weight for all children keys.

The default value is inherited from the parent element in the layout hierarchy.

[since QtQuick.VirtualKeyboard 2.0] smallTextVisible : bool

Sets the `smallTextVisible` for all children keys.

The default value is inherited from the parent element in the layout hierarchy.

This property was introduced in QtQuick.VirtualKeyboard 2.0.